Create a New Case

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported Regions and Base URLs

👍

Access and Registration

Authentication

Scope

cases-public:write

Request Parameters Sample

curl --request POST \
  --url https://api.talkdeskstg.com/cm/core/va/cases \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer 123' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "test title",
  "description": "test description",
  "parent_id": "1",
  "owner_id": "61036b508ff57b5578f25a10",
  "priority": "LOW",
  "requester_email": "[email protected]",
  "requester_name": "example",
  "requester_type": "Contact",
  "custom_fields": {
    "checkbox1": true,
    "dropdown1": 1,
    "text1": "text desc",
    "dependent_field1": [
      "3a20c48f-3e33-49b0-af22-63eba6fa4cc3",
      "bbb2a5e7-6190-4eb1-b889-ec37e0badd0b",
      "e9e3c93a-1b28-489a-96fe-6b3e9ca60976"
    ],
    "date1": "2022-04-21T06:30:21Z",
    "numeric1": 1,
    "decimal1": 1.2,
    "multi_line_text1": "Line1\\\\nLine2",
    "multi_select1": [
      "002",
      "003"
    ]
  },
  "notes": [
    {
      "note_title": "test subject",
      "note_body": "test body",
      "public": true
    }
  ]
}'

Body Response - Schema

201 (success - returns the case details after created)

ParameterTypeDescriptionRequired
idstringCase ID, the unique numeric identifiers given to each case. Starting from 1.yes
titlestringCase subject on the interface.yes
descriptionstringWhen a contact submits a support request via email, the body of the email request is used as the description. The description becomes the first comment in the case.yes
parent_idstringCase id of parent.no
owner_idstringAssignee ID.no
statusstringcase statusyes
typestringcase typeno
prioritystringcase priorityno
custom_fieldsobjectFields added by users. Only the following enum fields are supported as prefixes: checkbox, dropdown, text, dependent_field, date, numeric, decimal, multi_line_text, multi_selectno
notesarray[object]

The notes of the array. "notes" subdivides into:

1 - "id" (string) - the unique numeric identifiers given to each note
2 - "note_title" (string)
3 - "note_body" (string)
4 - "public" (boolean) - set to true if the notes are public, otherwise false. Default is false.

no
requester_idstringCase requester id.yes
requester_namestringCase requester name.yes
requester_emailstringCase requester email.yes
requester_typestringDefault value is Contact.no

400 (bad request), 401 (unauthorized access - invalid or unverifiable JWT), 403 (forbidden)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
👍

API Availability

The Case API has been in GA since October 2023.

🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

Body Params
string
required
string
required
string
string
string
notes
array
notes
string
string
string
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json